Subject: Re: Permissions

From: Sergey Matveev <[email-masked]>
Date: Sun, 15 Mar 2026 11:17:54 +0300

Greetings!

*** Hadmut Danisch [2026-03-11 13:32]:
>I'm not talking about individual users. I'm talking about several services
>which should send backups, transfer e-mails and so on. Should they share a
>spool, a configuration, and a key, or should they have their own one?

I did not think about those questions, because there are many possible
use-cases all of which with with own drawbacks and conveniences. It is
up to end-users/maintainers. setuid solutions is questionable, as John
pointed out. I do not want to say that it is not acceptable at all (I
used it in other Go projects), but currently do not have any opinion
on it.

-- 
Sergey Matveev (http://www.stargrave.org/)
LibrePGP: 12AD 3268 9C66 0D42 6967  FD75 CB82 0563 2107 AD8A